[SCM] Packaging for original LIERO binary data branch, master, updated. upstream/1.33-24-gc6ae2cf

Martin Erik Werner martinerikwerner at gmail.com
Sat Jan 21 00:54:04 UTC 2012


The following commit has been merged in the master branch:
commit 43d9e786628ccb495b10faad0257e3ff9a914dd3
Author: Martin Erik Werner <martinerikwerner at gmail.com>
Date:   Fri Jan 20 00:23:09 2012 +0100

    cleanup errors and check for sox

diff --git a/extractsounds b/extractsounds
index 3411ffb..32654d9 100755
--- a/extractsounds
+++ b/extractsounds
@@ -3,16 +3,17 @@
 usage="Usage: $0 <inputfile>"
 
 if [ $# != 1 ]; then
-	echo $usage
+	echo >&2 $usage
 	exit 1
 fi
 
 if [ ! -r "$1" ]; then
-	echo "Unable to read file '"$1"'"
-	echo $usage
+	echo >&2 "Unable to read file '"$1"', aborting"
 	exit 1
 fi
 
+hash sox 2>&- || { echo >&2 "This script requires the "'"SoX"'" audio manipulator, aborting"; exit 1; }
+
 sndfile="$1"
 sounds=30
 header=2

-- 
Packaging for original LIERO binary data



More information about the Pkg-games-commits mailing list